/*
 *    trakkcor - j2me gps tracking
 *    Copyright (C) 2006  Heiko Maa (trakkcor@javablog.ch)
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 * 
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package ch.javablog.mobile.trakkcor.model;

import java.util.Enumeration;

/**
 * 
 * @author Heiko Maa
 */
public interface Track {
 
    public void addPoint(NMEAMessage gprmcInfo);
    
    /**
     * Gets an enumeration of GGAInfo objects
     */
    public Enumeration points();
  
    /**
     * Gets the id of the track
     */ 
    public int getId();
    
    /**
     * Gets the number of stored positions in this track 
     */
    public int size();

}
