/*
 *    trakkcor - j2me gps tracking
 *    Copyright (C) 2006  Heiko Maa (trakkcor@javablog.ch)
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 * 
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package ch.javablog.mobile.trakkcor.controller.action;

/**
 * An ActionException is thrown if something has gone wrong while 
 * executing or canceling an action. 
 * @author Heiko Maa
 * @see Action
 */
public class ActionException extends RuntimeException {
    
    /** Creates a new instance of ActionException */
    public ActionException(String msg) throws ActionException {
        super(msg);
    }
    
    public ActionException(Exception e) throws ActionException {
        super(e.toString());
    }
    
}
